Save as MapInfo .tab fails with Integer64 fields

2016-08-08 05:35 AM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23335

Description

When using "Save As" a MapInfo .tab from a source that has a Integer64 field (for example a shapefile), the Save As fails due to the

MapInfo .tab driver not supporting 64 bit fields.

Associated revisions

Revision 400a4d70 - 2016-08-08 03:53 PM - Even Rouault

[QgsVectorFileWriter + OGR provider] Create Integer64 fields as Real fields when output driver doesn't support Integer64

Fix #15405

Revision f8ede277 - 2016-08-08 03:54 PM - Even Rouault

[QgsVectorFileWriter + OGR provider] Create Integer64 fields as Real fields when output driver doesn't support Integer64

Fix #15405

Revision 7c81384a - 2016-08-08 03:59 PM - Even Rouault

[QgsVectorFileWriter + OGR provider] Create Integer64 fields as Real fields when output driver doesn't support Integer64

Fix #15405

History

#1 - 2016-08-08 06:54 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"400a4d70a539b329f8240fd83f0c484d57b75c48".

#2 - 2016-08-08 07:12 AM - Even Rouault

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Target version set to Version 2.16

2025-04-27 1/1


